summaryrefslogtreecommitdiffstats
path: root/tests/posix/xdev.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/posix/xdev.sh')
-rw-r--r--tests/posix/xdev.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/tests/posix/xdev.sh b/tests/posix/xdev.sh
index 44e04dd..9d21b14 100644
--- a/tests/posix/xdev.sh
+++ b/tests/posix/xdev.sh
@@ -3,11 +3,10 @@ test "$UNAME" = "Darwin" && skip
clean_scratch
mkdir scratch/{foo,mnt}
+
sudo mount -t tmpfs tmpfs scratch/mnt
+trap "sudo umount scratch/mnt" EXIT
+
"$XTOUCH" scratch/foo/bar scratch/mnt/baz
bfs_diff scratch -xdev
-ret=$?
-
-sudo umount scratch/mnt
-return $ret